Subject: RE: [VRRP] VRRP MIB

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Fri, 14 Nov 2003 00:18:04 +0100

Posting what I stated at the session this morning.

Mmm... they could accomodate existing implementations with
the current COMPLIANCE statement depreacted, no?

I forget what would cause complete incompatibility for
exisiting old implementations?

So unless you can refresh my memory, I am inclinde to 
respond:

Kalyan writes:

> hi,
>    I had a couple of personal discussions with various SNMP 
>    and MIB experts and the 
>    consensus is that we should go with a unified VRRP MIB. I 
>    am planning to 
>    propose going with the unified MIB at the WG meeting.
>    As you are aware - Unified VRRP MIB means that existing 
>    implementations will 
>    have to change. I would strongly suggest any one having 
>    concerns with this 
>    approach to voice their opinion either in the mailing list 
>    or at the working  group meeting. 
> 
> 	One of the reasons against a unified MIB is the loss of 
>     backward compatibility with the existing VRRP
>     MIB implementation.

I think that if you properly deprecate objects and add new ones and
then properly define the MODULE-COMPLIANCE statements, that we can
in fact allow for backward compatibility for old existing 
implementations. They would claim compliance with a deprecated
MODULE COMPLIANCE. Or so I think. 

But the changes are big enough that if you want to go to the new
unified approach, which potentially changes indexing), then such
a change probably has a serious impact

>     Could everyone having an existing VRRP MIB implementation
>     respond so that we will have an idea of how many 
>     implementations are present.
> 

That would be good to know.

_______________________________________________
vrrp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/vrrp